Generate a new QR code

Generate a new QR Code for pairing authentication between two devices.

post

This endpoint is called by the initiating device (Admin or Client) to start the pairing process. The generated QR Code contains a link with pairing session ID as a parameter. If the callbackUrl is not provide, we generate new URL payload base on Brand-URL header or Client Domain request. The format is: {SECOND_LEVEL_DOMAIN}://pair/{QR_ID} Example Flow:

  1. Device A calls this endpoint to get QR Code data.
  2. Device B scans the QR Code and calls POST api/v1/users/auth/passwordless/qrcode/:qrCodeId/approve to approve.
Query parameters
callbackUrlstringOptional

Optional URL for the QR Code link. If provided, the QR Code will encode this URL with a query id for the pairing session.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Responses
chevron-right
200

The request was successful.

application/json

The API result model with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Required

This is the message to be displayed to the user.

post
/api/v1/users/auth/passwordless/qrcode/generate

Last updated